Proof
curl --request GET \
--url https://{deployment}/v1/trajectories/{trajectory_id}/proof \
--header 'Authorization: Bearer <token>'import requests
url = "https://{deployment}/v1/trajectories/{trajectory_id}/proof"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{deployment}/v1/trajectories/{trajectory_id}/proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/trajectories/{trajectory_id}/proof",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/trajectories/{trajectory_id}/proof"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{deployment}/v1/trajectories/{trajectory_id}/proof")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/trajectories/{trajectory_id}/proof")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"trajectory_id": "<string>",
"leaf_hash": "<string>",
"position": 123,
"proof": [
{}
],
"root_hash": "<string>",
"leaf_count": 123,
"signature": "<string>",
"signing_key_ref": "<string>",
"public_key": "<string>",
"sealed_at": "2023-11-07T05:31:56Z",
"verified_locally": true,
"how_to_verify": "<string>",
"key_custody": "<string>",
"key_custody_means": "",
"key_is_recorded": false,
"anchor": {
"provider": "<string>",
"root_hash": "<string>",
"signature": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"warning": "<string>",
"anchored": true,
"why_not": "<string>",
"beacon": {},
"proves": "<string>"
},
"timestamp": {
"state": "<string>",
"message": "<string>",
"response": "<string>",
"proves": "<string>",
"how_to_verify": "<string>",
"authority": "<string>",
"signer": "<string>",
"serial": "<string>",
"time": "2023-11-07T05:31:56Z",
"seconds_after_newest_record": 123,
"problem": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evidence
Proof
The artifact handed to a regulator: an inclusion proof against a signed, anchored Merkle root, disclosing nothing about any other trajectory.
Who may call it: any role. A workspace API key is refused here: this is an act that belongs to a named person.
GET
/
v1
/
trajectories
/
{trajectory_id}
/
proof
Proof
curl --request GET \
--url https://{deployment}/v1/trajectories/{trajectory_id}/proof \
--header 'Authorization: Bearer <token>'import requests
url = "https://{deployment}/v1/trajectories/{trajectory_id}/proof"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{deployment}/v1/trajectories/{trajectory_id}/proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/trajectories/{trajectory_id}/proof",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/trajectories/{trajectory_id}/proof"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{deployment}/v1/trajectories/{trajectory_id}/proof")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/trajectories/{trajectory_id}/proof")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"trajectory_id": "<string>",
"leaf_hash": "<string>",
"position": 123,
"proof": [
{}
],
"root_hash": "<string>",
"leaf_count": 123,
"signature": "<string>",
"signing_key_ref": "<string>",
"public_key": "<string>",
"sealed_at": "2023-11-07T05:31:56Z",
"verified_locally": true,
"how_to_verify": "<string>",
"key_custody": "<string>",
"key_custody_means": "",
"key_is_recorded": false,
"anchor": {
"provider": "<string>",
"root_hash": "<string>",
"signature": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"instructions": "<string>",
"warning": "<string>",
"anchored": true,
"why_not": "<string>",
"beacon": {},
"proves": "<string>"
},
"timestamp": {
"state": "<string>",
"message": "<string>",
"response": "<string>",
"proves": "<string>",
"how_to_verify": "<string>",
"authority": "<string>",
"signer": "<string>",
"serial": "<string>",
"time": "2023-11-07T05:31:56Z",
"seconds_after_newest_record": 123,
"problem": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Response
Successful Response
An inclusion proof a counterparty can check without us.
